.resource-box {
  border-radius: 4px;
  padding: 20px;
  border: 2px solid #212121;
  position: relative;
  overflow: hidden;
}

.drop-release {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(#000, 0.4);
  display: flex;
  flex-flow: column wrap;
  justify-content: center;
  z-index: 1;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.35s;
  &.visible{
    opacity: 1;
  }
  p {
    color: white;
    text-align: center;
  }
}

.properties {
  position: relative;
  &.isPreview {
    button {
      opacity: 0;
      position: absolute;
      top: -1.2rem;
      left: -1.2rem;
      transform: scale(0.75);
      transition: opacity 0.35s;
    }
    &:hover {
      button {
        opacity: 1;
      }
    }
  }
}

.scale {
  transform: scale(0.75);
}

// .label {
//   color: rgba(0, 0, 0, 0.6);
//   display: block;
//   font-size: 12px;
// }

.single-resource {
  position: relative;
  .delete {
    position: absolute;
    top: -20px;
    right: 0;
    opacity: 0;
    transition: opacity 0.35s;
  }
  .image {
    max-width: 50%;
    border-radius: 4px;
  }
  &:hover {
    .delete {
      opacity: 1;
    }
  }
}

// .preview-image {
//   border-radius: 4px;
//   width: 48px;
// }
// .preview-more {
//   border-radius: 4px;
//   width: 48px;
//   height: 48px;
//   position: relative;
//   background: #212121;
//   span {
//     text-align: center;
//     color: #fff;
//   }
// }

.object-preview {
  padding: 16px;
  border-radius: 4px;
  height: 200px;
  text-align: center;
  width: 100%;
  background: #212121;
  cursor: pointer;
  text-decoration: none;
  span {
    overflow: hidden;
  }
  &.small {
    padding: 0;
    width: 48px;
    height: 48px;
  }
}
